Subject: [netmod] [Technical Errata Reported] RFC7950 (4916)

From: RFC Errata System <[email-masked]>
Date: Tue, 24 Jan 2017 04:47:16 -0800 (PST)

The following errata report has been submitted for RFC7950,
"The YANG 1.1 Data Modeling Language".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7950&eid=4916

--------------------------------------
Type: Technical
Reported by: Michal Vasko <[email-masked]>

Section: 7.17.

Original Text
-------------
If the target node is a container, list, case, input, output, or
notification node, the "container", "leaf", "list", "leaf-list",
"uses", and "choice" statements can be used within the "augment"
statement.

Corrected Text
--------------
If the target node is a container, list, case, input, output, or
notification node, the "anydata", "anyxml", "container", "leaf",
"list", "leaf-list", "uses", and "choice" statements can be used
within the "augment" statement.

Notes
-----
It was forgotten to mention "anydata" and "anyxml" as valid substatements in this case.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7950 (draft-ietf-netmod-rfc6020bis-14)
--------------------------------------
Title               : The YANG 1.1 Data Modeling Language
Publication Date    : August 2016
Author(s)           : M. Bjorklund, Ed.
Category            : PROPOSED STANDARD
Source              : NETCONF Data Modeling Language
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG

---

From: Benoit Claise <[email-masked]>
Date: Wed, 25 Jan 2017 15:09:40 +0100

Dear all,

This looks correct to me according to section 7.17.1
Need one more pair of eyes to double-check before approving.

Regards, Benoit
> .

---

From: Ladislav Lhotka <[email-masked]>
Date: Wed, 25 Jan 2017 15:13:56 +0100

> On 25 Jan 2017, at 15:09, Benoit Claise <[email-masked]> wrote:
> 
> Dear all,
> 

Yes, it is correct, and also in agreement with the ABNF.

Lada

> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod

--
Ladislav Lhotka, CZ.NIC Labs
PGP Key ID: 0xB8F92B08A9F76C67